"use strict";

exports.__esModule = true;
exports.setString = exports.getString = void 0;

var _electron = require("electron");

const getString = type => {
  return Promise.resolve(_electron.clipboard.readText(type));
};

exports.getString = getString;

const setString = (text, type) => {
  _electron.clipboard.writeText(text, type);
};

exports.setString = setString;