"use strict";

exports.__esModule = true;
exports.Linking = exports.Clipboard = exports.Alert = exports.useWindowDimensions = exports.DeviceEventEmitter = exports.TVEventHandler = exports.TimePickerAndroid = exports.Systrace = exports.Settings = exports.PermissionsAndroid = exports.ToastAndroid = exports.TabBarIOS = exports.InputAccessoryView = exports.DrawerLayoutAndroid = exports.YellowBox = exports.VirtualizedList = exports.View = exports.TouchableWithoutFeedback = exports.TouchableOpacity = exports.TouchableNativeFeedback = exports.TouchableHighlight = exports.Touchable = exports.TextInput = exports.Text = exports.Switch = exports.StatusBar = exports.SectionList = exports.ScrollView = exports.SafeAreaView = exports.RefreshControl = exports.ProgressBar = exports.Picker = exports.Modal = exports.KeyboardAvoidingView = exports.ImageBackground = exports.Image = exports.FlatList = exports.CheckBox = exports.Button = exports.ActivityIndicator = exports.Vibration = exports.UIManager = exports.StyleSheet = exports.Share = exports.Platform = exports.PixelRatio = exports.PanResponder = exports.NativeEventEmitter = exports.LayoutAnimation = exports.Keyboard = exports.InteractionManager = exports.I18nManager = exports.Easing = exports.Dimensions = exports.DeviceInfo = exports.BackHandler = exports.AppState = exports.AppRegistry = exports.Animated = exports.AccessibilityInfo = exports.NativeModules = exports.unmountComponentAtNode = exports.render = exports.processColor = exports.findNodeHandle = exports.unstable_createElement = void 0;

var _reactNativeWeb = require("react-native-web");

exports.unstable_createElement = _reactNativeWeb.unstable_createElement;
exports.findNodeHandle = _reactNativeWeb.findNodeHandle;
exports.processColor = _reactNativeWeb.processColor;
exports.render = _reactNativeWeb.render;
exports.unmountComponentAtNode = _reactNativeWeb.unmountComponentAtNode;
exports.NativeModules = _reactNativeWeb.NativeModules;
exports.AccessibilityInfo = _reactNativeWeb.AccessibilityInfo;
exports.Animated = _reactNativeWeb.Animated;
exports.AppRegistry = _reactNativeWeb.AppRegistry;
exports.AppState = _reactNativeWeb.AppState;
exports.BackHandler = _reactNativeWeb.BackHandler;
exports.DeviceInfo = _reactNativeWeb.DeviceInfo;
exports.Dimensions = _reactNativeWeb.Dimensions;
exports.Easing = _reactNativeWeb.Easing;
exports.I18nManager = _reactNativeWeb.I18nManager;
exports.InteractionManager = _reactNativeWeb.InteractionManager;
exports.Keyboard = _reactNativeWeb.Keyboard;
exports.LayoutAnimation = _reactNativeWeb.LayoutAnimation;
exports.NativeEventEmitter = _reactNativeWeb.NativeEventEmitter;
exports.PanResponder = _reactNativeWeb.PanResponder;
exports.PixelRatio = _reactNativeWeb.PixelRatio;
exports.Platform = _reactNativeWeb.Platform;
exports.Share = _reactNativeWeb.Share;
exports.StyleSheet = _reactNativeWeb.StyleSheet;
exports.UIManager = _reactNativeWeb.UIManager;
exports.Vibration = _reactNativeWeb.Vibration;
exports.ActivityIndicator = _reactNativeWeb.ActivityIndicator;
exports.Button = _reactNativeWeb.Button;
exports.CheckBox = _reactNativeWeb.CheckBox;
exports.FlatList = _reactNativeWeb.FlatList;
exports.Image = _reactNativeWeb.Image;
exports.ImageBackground = _reactNativeWeb.ImageBackground;
exports.KeyboardAvoidingView = _reactNativeWeb.KeyboardAvoidingView;
exports.Modal = _reactNativeWeb.Modal;
exports.Picker = _reactNativeWeb.Picker;
exports.ProgressBar = _reactNativeWeb.ProgressBar;
exports.RefreshControl = _reactNativeWeb.RefreshControl;
exports.SafeAreaView = _reactNativeWeb.SafeAreaView;
exports.ScrollView = _reactNativeWeb.ScrollView;
exports.SectionList = _reactNativeWeb.SectionList;
exports.StatusBar = _reactNativeWeb.StatusBar;
exports.Switch = _reactNativeWeb.Switch;
exports.Text = _reactNativeWeb.Text;
exports.TextInput = _reactNativeWeb.TextInput;
exports.Touchable = _reactNativeWeb.Touchable;
exports.TouchableHighlight = _reactNativeWeb.TouchableHighlight;
exports.TouchableNativeFeedback = _reactNativeWeb.TouchableNativeFeedback;
exports.TouchableOpacity = _reactNativeWeb.TouchableOpacity;
exports.TouchableWithoutFeedback = _reactNativeWeb.TouchableWithoutFeedback;
exports.View = _reactNativeWeb.View;
exports.VirtualizedList = _reactNativeWeb.VirtualizedList;
exports.YellowBox = _reactNativeWeb.YellowBox;
exports.DrawerLayoutAndroid = _reactNativeWeb.DrawerLayoutAndroid;
exports.InputAccessoryView = _reactNativeWeb.InputAccessoryView;
exports.TabBarIOS = _reactNativeWeb.TabBarIOS;
exports.ToastAndroid = _reactNativeWeb.ToastAndroid;
exports.PermissionsAndroid = _reactNativeWeb.PermissionsAndroid;
exports.Settings = _reactNativeWeb.Settings;
exports.Systrace = _reactNativeWeb.Systrace;
exports.TimePickerAndroid = _reactNativeWeb.TimePickerAndroid;
exports.TVEventHandler = _reactNativeWeb.TVEventHandler;
exports.DeviceEventEmitter = _reactNativeWeb.DeviceEventEmitter;
exports.useWindowDimensions = _reactNativeWeb.useWindowDimensions;

var _Alert = _interopRequireWildcard(require("./apis/Alert"));

exports.Alert = _Alert;

var _Clipboard = _interopRequireWildcard(require("./apis/Clipboard"));

exports.Clipboard = _Clipboard;

var _Linking = _interopRequireWildcard(require("./apis/Linking"));

exports.Linking = _Linking;

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }